package com.ljy.controller;

import com.ljy.domain.Student;
import jdk.nashorn.internal.ir.RuntimeNode;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;

@Controller
@RequestMapping("/student")
public class StudentController {

    // 删除学生
    // @RequestMapping(value = "/{id}",method = RequestMethod.DELETE)
    @DeleteMapping("/{id}")
    public String deleteStudent(@PathVariable("id") int id){
        System.out.println("删除id为:" + id + "的学生");
        return "ljy";
    }

    // 根据id查询学生
    // @RequestMapping(value = "/{id}",method = RequestMethod.GET)
    @GetMapping("/{id}")
    public String queryStudentById(@PathVariable("id") int id){
        System.out.println(id);
        System.out.println("根据id查询学生");
        return "ljy";
    }

    // 新增学生
    // @RequestMapping(value = "/{id}",method = RequestMethod.POST)
    @PostMapping("/{id}")
    public String addStudent(@PathVariable("id") int id, Student student){
        System.out.println(id);
        System.out.println(student);
        System.out.println("新增学生");
        return "ljy";
    }

    // 修改学生
    // @RequestMapping(value = "/{id}",method = RequestMethod.PUT)
    @PutMapping("/{id}")
    public String updateStudent(@PathVariable("id") int id,Student student){
        System.out.println(id);
        System.out.println(student);
        System.out.println("修改学生");
        return "ljy";
    }
}
