package com.ljy.controller;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;

@Controller
@RequestMapping("/c3")
public class MyController3 {

    @RequestMapping(value = "/annotation1",method = {RequestMethod.POST,RequestMethod.GET},
                    params = {"username"},
                    headers = {"User-agent"})
    public String annotation(String username){
        System.out.println(username);
        return "ljy";
    }

    @RequestMapping("/annotation2")
    public String annotation2(@RequestParam(value = "username",/*defaultValue = "why",*/required = false) String name){
        System.out.println(name);
        return "ljy";
    }

    @RequestMapping("/annotation3")
    public String annotation3(@RequestHeader("User-Agent") String userAgent,@CookieValue("JSESSIONID") String jSessionId){
        System.out.println(userAgent);
        System.out.println(jSessionId);
        return "ljy";
    }
}
